アップル、プッシュ通知サービスでSSL 3.0のサポートを終了へ--POODLE脆弱性に対処

Steven Musil (CNET News) 翻訳校正: 川村インターナショナル2014年10月23日 16時21分
  • このエントリーをはてなブックマークに追加

 古い暗号化プロトコルSecure Socket Layer(SSL)3.0の脆弱性が先頃発見されたことを受けて、Appleは米国時間10月22日、同社のプッシュ通知サービスでSSL 3.0のサポートを終了することを明らかにした。

 Appleは同社の開発者向けサイトで、10月29日にSSL 3.0からTransport Layer Security(TLS)に移行すると発表した。TLSはSSLの後継プロトコルで、SSLより安全性が高い。先頃発見された「POODLE」脆弱性を悪用すると、ネットワークにアクセスできる攻撃者は、暗号化された情報を解読することができる。

 Appleはこの発表の中で、「SSL 3.0だけを使っているプロバイダーは、『Apple Push Notification』サービスが今後も期待通りに機能し続けるようにするため、できるだけ早くTLSをサポートする必要がある。TLSとSSL 3.0の両方をサポートするプロバイダーは影響を受けず、変更の必要はない」と述べている。

 開発者が互換性をテストできるようにするため、Appleは、「Provider Communication」インターフェース上の開発環境で既にSSL 3.0を無効にしたという。

 「Padding Oracle On Downgraded Legacy Encryption」の頭字語であるPOODLEが問題なのは、それがウェブサイトとウェブブラウザの両方で使われているからだ。SSL 3.0を使わないように両方を設定し直す必要がある。SSL 3.0がサポートされている限り、POODLEは問題として残るだろう。

 15年前にリリースされたSSL 3.0はかつて、使用されていたウェブ暗号化プロトコルの中で最も高度なものだった。ミシガン大学の調査によると、SSL 3.0を今でも使っているウェブサイトは、ほとんどないという。しかし、攻撃者はブラウザにSSL 3.0へのダウングレードを強制することができるので、POODLEが脅威であることに変わりはない。

この記事は海外CBS Interactive発の記事を朝日インタラクティブが日本向けに編集したものです。

  • このエントリーをはてなブックマークに追加